#ifndef VALVESHUTTERCONTROL_H
#define VALVESHUTTERCONTROL_H

#include <QWidget>

namespace Ui {
class ValveShutterControl;
}

class ValveShutterControl : public QWidget
{
    Q_OBJECT

public:

    explicit ValveShutterControl(QWidget *parent = 0);
    ~ValveShutterControl();

protected slots:

private:
    Ui::ValveShutterControl *ui;

    void cmdValves(const QString& cmd);

    void cmdShutters(const QString& cmd);

private slots:
    void setup();

    void execCmd();

    void writeProgress(int step, int total);

    void rpcWriteFinished();

    void cancelRpcThread();

    void rowSelectionChanged(bool isValve, bool checked);
};

#endif // VALVESHUTTERCONTROL_H
